你好,游客 登录 注册 搜索
背景:
阅读新闻

Linux Kernel 'drivers/input/misc/ims-pcu.c' 本地拒绝服务漏洞(CVE-2017-16645)

[日期:2017-11-13] 来源:Linux社区  作者:Linux [字体: ]
Linux Kernel 'drivers/input/misc/ims-pcu.c' 本地拒绝服务漏洞(CVE-2017-16645)


发布日期:2017-11-10
更新日期:2017-11-13

受影响系统:

Linux kernel < 4.13.11

描述:


BUGTRAQ  ID: 101768
CVE(CAN) ID: CVE-2017-16645

Linux Kernel是Linux操作系统的内核。

Linux kernel < 4.13.11版本,drivers/input/misc/ims-pcu.c/ims_pcu_get_cdc_union_desc存在安全漏洞,可使本地用户通过构造的USB设备,造成拒绝服务(ims_pcu_parse_cdc_data越界读及系统崩溃)。

<*来源:Andrey Konovalov
  *>

建议:


厂商补丁:

Linux
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://groups.google.com/d/msg/syzkaller/q6jjr1OhqO8/WcA99AVFBAAJ

https://github.com/torvalds/linux/commit/ea04efee7635c9120d015dcdeeeb6988130cb67a

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-11/148560.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款